{*****************************************************************************
 *
 *  FMSelBook.pas - Move addresses to book form  (24-August-1998)
 *
 *  Copyright (c) 1998-99 Michael Haller
 *
 *  Author:     Michael Haller
 *  E-mail:     michael@discountdrive.com
 *  Homepage:   http://www.discountdrive.com/sunrise
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation;
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *----------------------------------------------------------------------------
 *
 *  Revision history:
 *
 *     DATE     REV                 DESCRIPTION
 *  ----------- --- ----------------------------------------------------------
 *
 *****************************************************************************}

unit FMSelBook;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  GradForm,
  StdCtrls, ComboBoxEx, ExtCtrls, PXStuff;

type
  TSelBookForm = class(TdfsGradientForm)
    Image1: TImage;
    ComboBox1: TPMComboBoxEx;
    LabelAction: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SelBookForm: TSelBookForm;

implementation

{$R *.DFM}

uses
  FMAddress;

procedure TSelBookForm.FormCreate(Sender: TObject);
var
  I: Integer;
begin
  I := AddressForm.Combobox1.ItemIndex;
  ComboBox1.Images := AddressForm.ImageList1;
  ComboBox1.Items.Assign(AddressForm.ComboBox1.Items);
  ComboBox1.Values.Assign(AddressForm.ComboBox1.Values);
  ComboBox1.ImgIndexes.Assign(AddressForm.ComboBox1.ImgIndexes);
  ComboBox1.Items.Delete(I);
  ComboBox1.Values.Delete(I);
  ComboBox1.ImgIndexes.Delete(I);
  ComboBox1.ItemIndex := 0;
end;

initialization
   PMRegistry.AddCustomClass(TSelBookForm, 'TSelBookForm');

end.
